package router

import (
	"gitea.party/public-messag-service/router/middleware"
	"gitea.party/public-messag-service/router/uri"
	"github.com/gin-contrib/pprof"
	"github.com/gin-gonic/gin"
)

func Router(router *gin.Engine) {

	pprof.Register(router) // 性能

	router.Use(middleware.OPTIONS)
	router.Use(middleware.LogApiReq)

	uri.InitAuthRouter(router.Group("/"))
}
