package uri

import (
	"gitea.party/public-messag-service/internal/handler/api"
	"github.com/gin-gonic/gin"
)

func authWeb(router *gin.RouterGroup) {
	{
		router.POST("/sms/send", api.SmsXSend)     // 发送短信
		router.POST("/email/send", api.EmailXSend) // 发送邮件
	}
}

func InitAuthRouter(router *gin.RouterGroup) {
	authWeb(router.Group("/"))
}
